### Method

# Gtk Accessible update_state

#### Declaration [src]

    void
    gtk_accessible_update_state (
      GtkAccessible* self,
      GtkAccessibleState first_state,
      ...
    )

#### Description [src]

Updates a list of accessible states. See the `GtkAccessibleState` documentation for the value types of accessible states.

This function should be called by `GtkWidget` types whenever an accessible state change must be communicated to assistive technologies.

Example: `c value = GTK_ACCESSIBLE_TRISTATE_MIXED; gtk_accessible_update_state (GTK_ACCESSIBLE (check_button), GTK_ACCESSIBLE_STATE_CHECKED, value, -1);`.

#### Parameters

`first_state` | `GtkAccessibleState`
| The first `GtkAccessibleState`.
`...` | ``
| A list of state and value pairs, terminated by -1.